Suggestion items grouped

Service that returns product suggestions (grouped) based on a search term. This service can be called as soon as the user begins to type a search term.

Path Params
string
required

Instance specific key.

Query Params
string
required

Search term entered by the user.

Maximum length: 100

string
required

The category that should contain the filtered results. If you want to provide the entire path, you should include the categories divided by a hyphen (-).

Example: ?tn_cid=100-150

string

Specify the language to use for the search algorithms.

All available languages can be retrieved with the catalog call: /catalog/languages/{instancekey}

Example: ?tn_lang=nl

string

Hidden parameters can be added to the URL by using the parameter 'tn_parameters'. The key is the facet URL-name. The value is the facet value that should be applied. When using multiple values they should be separated using a pipe (|).

When filtering drinks by property 'brand' with value 'Coca Cola' or 'Pepsi' and 'volume' 1L or 1.5L, the value of tn_parameters should be: brand=Coca Cola|Pepsi&volume=1L|1.5L

Example: ?tn_parameters=brand%3DCoca%20Cola%7CPepsi%26volume%3D1L%7C1.5L

string

Hidden exclusion parameters can be added to the URL by using the parameter 'tn_parameters_except'.

This is used to exclude certain parameters from the results (show everything except specified parameters)

When filtering by property 'brand' with value 'Coca Cola' or with value 'Pepsi' the value of tn_parameters_except should be: brand=Coca Cola&brand=Pepsi

This value should then be URL encoded.

Example: ?tn_parameters_except=brand%3DCoca%20Cola%26brand%3DPepsi

string

The profile key is an identifier for the person browsing your website who is initiating the navigation requests. This same identifier should also be used to identify the visitor when sending events to our Analytics API. Based on the sent events, the visitor can receive personalized results.

The profile key can be any string as long as it is unique to the visitor. Generate for example a Universally Unique Identifier (UUID), a new id per visitor or use an account id.

Example: ?tn_profilekey=ff106b0a-b5bf-43fc-945c-318f17cda425

string

Extra parameters for external data components can be added to the URL by using the parameter 'tn_edc_parameters'.

For example, to send 2 extra parameters: 'firstParameter' and 'secondParameter' to external data components, using the following string: firstParameter=firstValue&secondParameter=secondValue

This value should then be URL encoded.

Example: ?tn_edc_parameters=firstParameter%3DfirstValue%26secondParameter%3DsecondValue

string

Specify the keyboard to use for the search algorithms.

All available options are: 'qwerty', 'azerty' or 'qwertz'

Example: ?tn_keyboard=azerty

tn_options
array of strings

A comma-separated list of toggles.

  • NoBuilder: Prevents the configured builder from being applied; handles the request as if no builder were configured.", "?tn_options=NoBuilder
  • NoEDC: Prevents calls to External Data Components configured in builders; handles the request as if no External Data Components were configured.", "?tn_options=NoEDC
tn_options
Headers
string
Defaults to Tweakwise API docs

The source of the request. See the article on the request source for more information.

Responses

401

Invalid instancekey supplied

Language
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json